Part Cone/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav/it
<div class="mw-translate-fuzzy">
|[[Part_Sphere/it|Sfera]]
{{Docnav/it|[[Part_Box/it|Cubo]]|[[Part_Cylinder/it|Cilindro]]|[[Part_Workbench/it|Part]]|IconL=Part_Box.svg|IconC=Workbench_Part.svg|IconR=Part_Cylinder.svg}}
|[[Part_Torus/it|Toro]]
</div>
|[[Part_Workbench/it|Part]]
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 22:38, 25 December 2023

Cono

Posizione nel menu
Parte → Primitive → Cono
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Descrizione

Crea un tronco di cono parametrico.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DatiRadius1 or DatiRadius2 property to zero. It can be turned into a segment of a cone by changing its DatiAngle property.

Utilizzo

  1. Attivare l'ambiente Parte.
  2. Richiamare il comando Cono in uno di questi modi:
    • Premere il pulsante Cono
    • Usare Part → Primitive → Cono dal menu principale.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Opzioni

Cone

  • Radius 1: raggio dell'arco o del cerchio che definisce la faccia inferiore
  • Radius 2: raggio dell'arco o del cerchio che definisce la faccia superiore
  • Height: l'altezza del cono
  • Angle: il numero di gradi dell'arco che definisce le facce superiore e inferiore del cono. Il valore 360° predefinito crea facce circolari, un valore inferiore crea una porzione di un cono.

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DatiRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DatiRadius2 is larger than 0mm. The default is 2mm.
  • DatiRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DatiRadius1 is larger than 0mm. The default is 4mm.
  • DatiHeight (Length): The height of the cone. The default is 10mm.
  • DatiAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()